
Redmine - Defect #30367

"Last updated by" filter causes an SQL error with MariaDB

2019-01-09 18:50 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.10   

Resolution: Fixed Affected version: 4.0.0

Description

feature #6375 doesn't seem to work on MariaDB

Server version: 10.4.0-MariaDB-1:10.4.0+maria~xenial-log mariadb.org binary distribution

I think it probably fails on older mysql versions aswell, but I didn't test it

https://github.com/redmine/redmine/blob/6765505b2d0dd14014988b9b15096a33f5b9b2d1/app/models/issue_query.rb#L382

Related issues:

Related to Redmine - Feature #19395: Support MariaDB New

Has duplicate Redmine - Defect #30964: 500 appears when trying to filter by l... Closed

Associated revisions

Revision 17933 - 2019-03-07 09:05 - Go MAEDA

"Last updated by" filter causes an SQL error with MariaDB (#30367).

Patch by Pavel Rosický.

Revision 17940 - 2019-03-13 16:24 - Go MAEDA

Merged r17933 from trunk to 4.0-stable (#30367).

Revision 17941 - 2019-03-13 16:25 - Go MAEDA

Merged r17933 from trunk to 4.0-stable (#30367).

History

#1 - 2019-01-10 03:06 - Marius BĂLTEANU

- Related to Feature #19395: Support MariaDB added

#2 - 2019-03-05 22:43 - Marius BĂLTEANU

- Related to Defect #30964: 500 appears when trying to filter by last updated by added

#3 - 2019-03-05 22:43 - Marius BĂLTEANU

- Related to deleted (Defect #30964: 500 appears when trying to filter by last updated by)

#4 - 2019-03-05 22:44 - Marius BĂLTEANU

- Related to Defect #30964: 500 appears when trying to filter by last updated by added

#5 - 2019-03-05 22:44 - Marius BĂLTEANU

- Related to deleted (Defect #30964: 500 appears when trying to filter by last updated by)

#6 - 2019-03-05 22:44 - Marius BĂLTEANU

- Has duplicate Defect #30964: 500 appears when trying to filter by last updated by added

#7 - 2019-03-06 13:51 - Pavel Rosický

- File issue_query.rb.patch added
#8 - 2019-03-06 14:23 - Pavel Rosický

the fix is fairly simple, Marius please take a look

#9 - 2019-03-06 15:36 - Go MAEDA

- Subject changed from 2 failures on MariaDB to "Last updated by" filter causes an SQL error with MariaDB

- Category changed from Database to Issues filter

- Target version set to 3.4.10

Setting the target version to 3.4.10.

#10 - 2019-03-07 08:20 - Mizuki ISHIKAWA

Pavel Rosický wrote:

the fix is fairly simple, Marius please take a look

 Thank you for sharing the patch.

I confirmed that the failed test succeeded by applying your patch.

I also confirmed that the last_updated_by filter works from issues/index screen.

#11 - 2019-03-07 09:05 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for reporting and fixing the issue.

#12 - 2019-03-13 16:25 - Go MAEDA

- Status changed from Resolved to Closed

Files

out.txt 8.12 KB 2019-01-09 Pavel Rosický

issue_query.rb.patch 844 Bytes 2019-03-06 Pavel Rosický
